Get Plan Definition Schema

Get Plan Definition Schema
Get plan definition schema for a service offering

This endpoint retrieves the plan definition schema for a specific service offering. The schema contains three components: a JSON schema (defining structure and validation rules), a UI schema (providing hints for rendering the configuration form), and a version string.

This endpoint is restricted to platform administrators and service administrators.

The endpoint attempts to fetch the schema from the broker. If the broker returns an error (including when the offering doesn't support plan definitions), the schema will be null.

Request
URI
GET
https://api.example.local/v3/service_offerings/{guid}/plan_definition_schema
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServiceOfferingPlanDefinitionSchema of type(s) application/json
{
    "guid": "string",
    "schema": {
        "json_schema": {},
        "ui_schema": {},
        "version": "string"
    },
    "relationships": {
        "service_offering": {
            "data": {
                "guid": "string"
            }
        }
    },
    "links": {
        "self": {
            "href": "string",
            "method": "string"
        },
        "service_offering": {
            "href": "string",
            "method": "string"
        }
    }
}
string As uuid As uuid
guid
Optional

Service offering GUID

object
schema
Optional

The schema definition for plan configuration. Null if the offering doesn't support plan definitions or if the broker returns an error.

object
relationships
Optional

relationships

object
links
Optional

links


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


500

Internal Server Error

Returns 500 of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/service_offerings/{guid}/plan_definition_schema